<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: TCPIP Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">TCPIP Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for TCPIP:</div>
<div class="dyncontent">
<div class="center"><img src="classTCPIP__inherit__graph.png" border="0" usemap="#TCPIP_inherit__map" alt="Inheritance graph"/></div>
<map name="TCPIP_inherit__map" id="TCPIP_inherit__map">
<area shape="rect" id="node15" href="classTCPIP__if.html" title="TCPIP_if" alt="" coords="488,284,563,311"/><area shape="rect" id="node2" href="classXGbEMAC.html" title="XGbEMAC" alt="" coords="223,56,310,83"/><area shape="rect" id="node3" href="classEthernetCRCD32.html" title="EthernetCRCD32(2)" alt="" coords="5,5,152,32"/><area shape="rect" id="node4" href="classlink__status.html" title="link_status" alt="" coords="32,56,125,83"/><area shape="rect" id="node5" href="classEMAC__Rx__if.html" title="EMAC_Rx_if" alt="" coords="217,107,316,133"/><area shape="rect" id="node6" href="classchecksum.html" title="checksum(2)" alt="" coords="25,107,132,133"/><area shape="rect" id="node7" href="classSDP32x18.html" title="SDP32x18(2)" alt="" coords="213,157,320,184"/><area shape="rect" id="node8" href="classFIFO65x8k.html" title="FIFO65x8k" alt="" coords="221,208,312,235"/><area shape="rect" id="node9" href="classTCP__OPTION.html" title="TCP_OPTION" alt="" coords="215,259,318,285"/><area shape="rect" id="node10" href="classRAM32x6D.html" title="RAM32x6D(2)" alt="" coords="211,309,322,336"/><area shape="rect" id="node11" href="classTCPdata__chksum.html" title="TCPdata_chksum" alt="" coords="200,360,333,387"/><area shape="rect" id="node12" href="classFIFO65x12k.html" title="FIFO65x12k" alt="" coords="217,411,316,437"/><area shape="rect" id="node13" href="classRTO__CALC.html" title="RTO_CALC" alt="" coords="222,461,311,488"/><area shape="rect" id="node14" href="classTCP__CC.html" title="TCP_CC" alt="" coords="231,512,302,539"/><area shape="rect" id="node16" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="611,284,701,311"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classTCPIP-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classTCPIP_1_1Behavioral.html">Behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classTCPIP.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
<tr class="memitem:a638db61841484c449397fe11129de31c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a638db61841484c449397fe11129de31c"></a>
<a class="el" href="classTCPIP.html#a638db61841484c449397fe11129de31c">UNIMACRO</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classTCPIP.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:ad8a035eadb3459f7d2a4ae42064710f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8a035eadb3459f7d2a4ae42064710f7"></a>
<a class="el" href="classTCPIP.html#ad8a035eadb3459f7d2a4ae42064710f7">amc13_pack</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classamc13__pack.html"> &lt;amc13_pack&gt;</a></td></tr>
<tr class="memitem:a0b4e29910fa9741df9382cff5f62bbdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4e29910fa9741df9382cff5f62bbdb"></a>
<a class="el" href="classTCPIP.html#a0b4e29910fa9741df9382cff5f62bbdb">VComponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:aa1cb22e959d47364391e5eb4ef86927c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1cb22e959d47364391e5eb4ef86927c"></a>
<a class="el" href="classTCPIP.html#aa1cb22e959d47364391e5eb4ef86927c">vcomponents</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aa477f7e4d4072c90d9a5991785506f27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa477f7e4d4072c90d9a5991785506f27"></a>
<a class="el" href="classTCPIP.html#aa477f7e4d4072c90d9a5991785506f27">simulation</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">boolean</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">false</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a07de58b317ab954cfe9930aacbd0d985"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07de58b317ab954cfe9930aacbd0d985"></a>
<a class="el" href="classTCPIP.html#a07de58b317ab954cfe9930aacbd0d985">en_KEEPALIVE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classTCPIP.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95591b8120081e6b68508ef2c2bbcd9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95591b8120081e6b68508ef2c2bbcd9e"></a>
<a class="el" href="classTCPIP.html#a95591b8120081e6b68508ef2c2bbcd9e">rstCntr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8432b8d1c5732221d599c71b95921e61"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8432b8d1c5732221d599c71b95921e61"></a>
<a class="el" href="classTCPIP.html#a8432b8d1c5732221d599c71b95921e61">sysclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adec1fd83c3bb0f3364176a51090ab1a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adec1fd83c3bb0f3364176a51090ab1a6"></a>
<a class="el" href="classTCPIP.html#adec1fd83c3bb0f3364176a51090ab1a6">clk2x</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classTCPIP.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3301b845c39d9e2acb9a0c1ac1c8a63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3301b845c39d9e2acb9a0c1ac1c8a63"></a>
<a class="el" href="classTCPIP.html#ab3301b845c39d9e2acb9a0c1ac1c8a63">strobe_us</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3eda55761b08ef49299e812edf5d733b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3eda55761b08ef49299e812edf5d733b"></a>
<a class="el" href="classTCPIP.html#a3eda55761b08ef49299e812edf5d733b">strobe_ms</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a58757be4e4fb2b96d063d9ada455cdbc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a58757be4e4fb2b96d063d9ada455cdbc"></a>
<a class="el" href="classTCPIP.html#a58757be4e4fb2b96d063d9ada455cdbc">en_LINK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a44077c147d3ba4b55947334f2b2c47fd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44077c147d3ba4b55947334f2b2c47fd"></a>
<a class="el" href="classTCPIP.html#a44077c147d3ba4b55947334f2b2c47fd">LINK_down</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5342b660a96e95a54039055a6cfee11a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5342b660a96e95a54039055a6cfee11a"></a>
<a class="el" href="classTCPIP.html#a5342b660a96e95a54039055a6cfee11a">MY_PORT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa119e36c1f79962dc4d4737ca465d2a7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa119e36c1f79962dc4d4737ca465d2a7"></a>
<a class="el" href="classTCPIP.html#aa119e36c1f79962dc4d4737ca465d2a7">MY_IP</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeaf6540eaffdcb9c74005b3ebf8bb37f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaf6540eaffdcb9c74005b3ebf8bb37f"></a>
<a class="el" href="classTCPIP.html#aeaf6540eaffdcb9c74005b3ebf8bb37f">MY_ETH</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b7ca726abf1479da04d90e09078035b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b7ca726abf1479da04d90e09078035b"></a>
<a class="el" href="classTCPIP.html#a8b7ca726abf1479da04d90e09078035b">TSclock</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b1b4d0ac44bb34d38c184fc7932e101"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b1b4d0ac44bb34d38c184fc7932e101"></a>
<a class="el" href="classTCPIP.html#a1b1b4d0ac44bb34d38c184fc7932e101">RTOmin</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afcfd6a5ec0a80cf9324b5283c237e8e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afcfd6a5ec0a80cf9324b5283c237e8e8"></a>
<a class="el" href="classTCPIP.html#afcfd6a5ec0a80cf9324b5283c237e8e8">rate_limit</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37cebd80b2584703b5dac95125987f0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37cebd80b2584703b5dac95125987f0d"></a>
<a class="el" href="classTCPIP.html#a37cebd80b2584703b5dac95125987f0d">EVENTdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">66</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aca93d5b4103f9f6f2f7a08296c20320d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca93d5b4103f9f6f2f7a08296c20320d"></a>
<a class="el" href="classTCPIP.html#aca93d5b4103f9f6f2f7a08296c20320d">EventBufAddr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">13</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a14ce406537e82d18bb27a65c4d50c065"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a14ce406537e82d18bb27a65c4d50c065"></a>
<a class="el" href="classTCPIP.html#a14ce406537e82d18bb27a65c4d50c065">EventBufAddr_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6551fbee6487526eefa59f20dafef200"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6551fbee6487526eefa59f20dafef200"></a>
<a class="el" href="classTCPIP.html#a6551fbee6487526eefa59f20dafef200">AddrBuf_full</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb38423892d975a311f2aa9c241ea12c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb38423892d975a311f2aa9c241ea12c"></a>
<a class="el" href="classTCPIP.html#abb38423892d975a311f2aa9c241ea12c">EVENTdata_avl</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ada879b9a62604d4e726e544864c9e154"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada879b9a62604d4e726e544864c9e154"></a>
<a class="el" href="classTCPIP.html#ada879b9a62604d4e726e544864c9e154">EVENTdata_re</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad76276288cdd76bf68cc4f08e1b811bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad76276288cdd76bf68cc4f08e1b811bd"></a>
<a class="el" href="classTCPIP.html#ad76276288cdd76bf68cc4f08e1b811bd">DDR2TCPdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">32</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7b3903fe65e08620a5f75b80ce3d650b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7b3903fe65e08620a5f75b80ce3d650b"></a>
<a class="el" href="classTCPIP.html#a7b3903fe65e08620a5f75b80ce3d650b">ReTxData_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:addb0b61c280c440c2195e38fe1ac5921"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addb0b61c280c440c2195e38fe1ac5921"></a>
<a class="el" href="classTCPIP.html#addb0b61c280c440c2195e38fe1ac5921">ReTxData_chksum</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aeefe7320c0181397ee3a625f7a7951e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeefe7320c0181397ee3a625f7a7951e8"></a>
<a class="el" href="classTCPIP.html#aeefe7320c0181397ee3a625f7a7951e8">ReTx_ddr_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1565233c729c01150f8e8adf1d9aacb3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1565233c729c01150f8e8adf1d9aacb3"></a>
<a class="el" href="classTCPIP.html#a1565233c729c01150f8e8adf1d9aacb3">re_RETX_ddr_wq</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35271c698203a574cf7b17920dbb8ab3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35271c698203a574cf7b17920dbb8ab3"></a>
<a class="el" href="classTCPIP.html#a35271c698203a574cf7b17920dbb8ab3">ReTx_ddr_wrqst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a44bb525bc466f16d0f654b78aa953a96"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a44bb525bc466f16d0f654b78aa953a96"></a>
<a class="el" href="classTCPIP.html#a44bb525bc466f16d0f654b78aa953a96">ReTx_ddr_LEN_max</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0aca208e1e2f18b67fa01faecd5184a1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0aca208e1e2f18b67fa01faecd5184a1"></a>
<a class="el" href="classTCPIP.html#a0aca208e1e2f18b67fa01faecd5184a1">ReTx_ddr_LEN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add18d8ee2914c82b4ed7b74492187f3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add18d8ee2914c82b4ed7b74492187f3a"></a>
<a class="el" href="classTCPIP.html#add18d8ee2914c82b4ed7b74492187f3a">ReTx_ddr_data_we</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a945c66e17eacc7c2c312d6bbac098464"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a945c66e17eacc7c2c312d6bbac098464"></a>
<a class="el" href="classTCPIP.html#a945c66e17eacc7c2c312d6bbac098464">ReTx_ddr_rrqst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1ded3073313ae7ea1dfca0cfc677b495"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ded3073313ae7ea1dfca0cfc677b495"></a>
<a class="el" href="classTCPIP.html#a1ded3073313ae7ea1dfca0cfc677b495">ReTxDataACK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af53ad4dd3da8efcfb5d60a63d7713908"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af53ad4dd3da8efcfb5d60a63d7713908"></a>
<a class="el" href="classTCPIP.html#af53ad4dd3da8efcfb5d60a63d7713908">ReTxDataRqst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d658d7bda89dc7234ac5f67932a5268"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d658d7bda89dc7234ac5f67932a5268"></a>
<a class="el" href="classTCPIP.html#a5d658d7bda89dc7234ac5f67932a5268">ReTxDataAddr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">25</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9c159677aa303025be112d720b0593d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9c159677aa303025be112d720b0593d"></a>
<a class="el" href="classTCPIP.html#ae9c159677aa303025be112d720b0593d">ReTxDataLEN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">12</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad84aac51e6ddc4bd3c58b5983c4b0434"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad84aac51e6ddc4bd3c58b5983c4b0434"></a>
<a class="el" href="classTCPIP.html#ad84aac51e6ddc4bd3c58b5983c4b0434">KiloByte_toggle</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a014eace53fcf60e28abb6fce1f28880d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a014eace53fcf60e28abb6fce1f28880d"></a>
<a class="el" href="classTCPIP.html#a014eace53fcf60e28abb6fce1f28880d">EoB_toggle</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae4abf6678aa034a6f46aac2a24cb0a66"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4abf6678aa034a6f46aac2a24cb0a66"></a>
<a class="el" href="classTCPIP.html#ae4abf6678aa034a6f46aac2a24cb0a66">TCP_wcount</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab1271c9b0c83415972fe067dce1db361"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1271c9b0c83415972fe067dce1db361"></a>
<a class="el" href="classTCPIP.html#ab1271c9b0c83415972fe067dce1db361">UNA_MonBuf</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0a2f6972d8335c1b77fe45bbb2fbe72a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a2f6972d8335c1b77fe45bbb2fbe72a"></a>
<a class="el" href="classTCPIP.html#a0a2f6972d8335c1b77fe45bbb2fbe72a">UNA_TCPBuf</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afebd1552f32d601e5a98b4fcf3bb65f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afebd1552f32d601e5a98b4fcf3bb65f4"></a>
<a class="el" href="classTCPIP.html#afebd1552f32d601e5a98b4fcf3bb65f4">PhyEmacRxC</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc577ce5931d7fb7d33159cc8b835a9f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc577ce5931d7fb7d33159cc8b835a9f"></a>
<a class="el" href="classTCPIP.html#acc577ce5931d7fb7d33159cc8b835a9f">PhyEmacRxD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a52164126aa36a863e7b7ed0755c7286c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52164126aa36a863e7b7ed0755c7286c"></a>
<a class="el" href="classTCPIP.html#a52164126aa36a863e7b7ed0755c7286c">EmacPhyTxC</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad6f93ea6b5312169feecf9268cd61fc2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6f93ea6b5312169feecf9268cd61fc2"></a>
<a class="el" href="classTCPIP.html#ad6f93ea6b5312169feecf9268cd61fc2">EmacPhyTxD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9c91cc71e86ef5a6381487a56a4846e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9c91cc71e86ef5a6381487a56a4846e"></a>
<a class="el" href="classTCPIP.html#aa9c91cc71e86ef5a6381487a56a4846e">ipb_addr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3de411a6efcd9ac2ff7c6777fbf8228b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3de411a6efcd9ac2ff7c6777fbf8228b"></a>
<a class="el" href="classTCPIP.html#a3de411a6efcd9ac2ff7c6777fbf8228b">ipb_rdata</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adae8ec8c253b15ec4991678bce57210c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adae8ec8c253b15ec4991678bce57210c"></a>
<a class="el" href="classTCPIP.html#adae8ec8c253b15ec4991678bce57210c">cs_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">511</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="TCPIP_8vhd_source.html#l00040">40</a> of file <a class="el" href="TCPIP_8vhd_source.html">TCPIP.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/TCPIP_if/<a class="el" href="TCPIP_8vhd_source.html">TCPIP.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
